Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyle.StyleHint

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyle.StyleHint

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyle

    public static final class QStyle.StyleHint

extends java.lang.Enum
implements QtEnumerator

This enum describes the available style hints. A style hint is a general look and/or feel hint.

See also:
  `styleHint()`.

See Also:
  Serialized Form

Field Summary
`static QStyle.StyleHint` | `CustomEnum`
`static QStyle.StyleHint` | `SH_BlinkCursorWhenTextSelected` Whether cursor should blink when text is selected.
`static QStyle.StyleHint` | `SH_Button_FocusPolicy` The default focus policy for buttons.
`static QStyle.StyleHint` | `SH_ComboBox_LayoutDirection` The layout direction for the combo box.
`static QStyle.StyleHint` | `SH_ComboBox_ListMouseTracking` Mouse tracking in combobox drop-down lists.
`static QStyle.StyleHint` | `SH_ComboBox_Popup` Allows popups as a combobox drop-down menu.
`static QStyle.StyleHint` | `SH_ComboBox_PopupFrameStyle` The frame style used when drawing a combobox popup menu.
`static QStyle.StyleHint` | `SH_CustomBase` Base value for custom style hints.
`static QStyle.StyleHint` | `SH_Dial_BackgroundRole` Defines the style's preferred background role (as `QPalette::ColorRole` ) for a dial widget.
`static QStyle.StyleHint` | `SH_DialogButtonBox_ButtonsHaveIcons` Indicates whether or not StandardButtons in `QDialogButtonBox` should have icons or not.
`static QStyle.StyleHint` | `SH_DialogButtonLayout` Controls how buttons are laid out in a `QDialogButtonBox`, returns a `QDialogButtonBox::ButtonLayout` enum.
`static QStyle.StyleHint` | `SH_DialogButtons_DefaultButton` Which button gets the default status in a dialog's button widget.
`static QStyle.StyleHint` | `SH_DitherDisabledText` Disabled text is dithered as it is on Motif.
`static QStyle.StyleHint` | `SH_DrawMenuBarSeparator` Indicates whether or not the menu bar draws separators.
`static QStyle.StyleHint` | `SH_EtchDisabledText` Disabled text is "etched" as it is on Windows.
`static QStyle.StyleHint` | `SH_FocusFrame_AboveWidget` The FocusFrame is stacked above the widget that it is "focusing on".
`static QStyle.StyleHint` | `SH_FocusFrame_Mask` The mask of the focus frame.
`static QStyle.StyleHint` | `SH_FontDialog_SelectAssociatedText` Select the text in the line edit, or when selecting an item from the listbox, or when the line edit receives focus, as done on Windows.
`static QStyle.StyleHint` | `SH_FormLayoutFieldGrowthPolicy` Provides a default for how fields can grow in a `QFormLayout`.
`static QStyle.StyleHint` | `SH_FormLayoutFormAlignment` Provides a default for how a `QFormLayout` aligns its contents within the available space.
`static QStyle.StyleHint` | `SH_FormLayoutLabelAlignment` Provides a default for how a `QFormLayout` aligns labels within the available space.
`static QStyle.StyleHint` | `SH_FormLayoutWrapPolicy` Provides a default for how rows are wrapped in a `QFormLayout`.
`static QStyle.StyleHint` | `SH_GroupBox_TextLabelColor` How to paint a group box's text label.
`static QStyle.StyleHint` | `SH_GroupBox_TextLabelVerticalAlignment` How to vertically align a group box's text label.
`static QStyle.StyleHint` | `SH_Header_ArrowAlignment` The placement of the sorting indicator may appear in list or table headers.
`static QStyle.StyleHint` | `SH_ItemView_ActivateItemOnSingleClick` Emit the activated signal when the user single clicks on an item in an item in an item view.
`static QStyle.StyleHint` | `SH_ItemView_ArrowKeysNavigateIntoChildren` Controls whether the tree view will select the first child when it is exapanded and the right arrow key is pressed.
`static QStyle.StyleHint` | `SH_ItemView_ChangeHighlightOnFocus` Gray out selected items when losing focus.
`static QStyle.StyleHint` | `SH_ItemView_EllipsisLocation` The location where ellipses should be added for item text that is too long to fit in an view item.
`static QStyle.StyleHint` | `SH_ItemView_MovementWithoutUpdatingSelection` The item view is able to indicate a current item without changing the selection.
`static QStyle.StyleHint` | `SH_ItemView_PaintAlternatingRowColorsForEmptyArea` Whether `QTreeView` paints alternating row colors for the area that does not have any items.
`static QStyle.StyleHint` | `SH_ItemView_ShowDecorationSelected` When an item in an item view is selected, also highlight the branch or other decoration.
`static QStyle.StyleHint` | `SH_LineEdit_PasswordCharacter` The Unicode character to be used for passwords.
`static QStyle.StyleHint` | `SH_MainWindow_SpaceBelowMenuBar` One or two pixel space between the menu bar and the dockarea, as done on Windows.
`static QStyle.StyleHint` | `SH_Menu_AllowActiveAndDisabled` Allows disabled menu items to be active.
`static QStyle.StyleHint` | `SH_Menu_FadeOutOnHide` Fade out the menu instead of hiding it immediately.
`static QStyle.StyleHint` | `SH_Menu_FillScreenWithScroll` Whether scrolling popups should fill the screen as they are scrolled.
`static QStyle.StyleHint` | `SH_Menu_FlashTriggeredItem` Flash triggered item.
`static QStyle.StyleHint` | `SH_Menu_KeyboardSearch` Typing causes a menu to be search for relevant items, otherwise only mnemnonic is considered.
`static QStyle.StyleHint` | `SH_Menu_Mask` The mask for a popup menu.
`static QStyle.StyleHint` | `SH_Menu_MouseTracking` Mouse tracking in popup menus.
`static QStyle.StyleHint` | `SH_Menu_Scrollable` Whether popup menus must support scrolling.
`static QStyle.StyleHint` | `SH_Menu_SelectionWrap` Whether popups should allow the selections to wrap, that is when selection should the next item be the first item.
`static QStyle.StyleHint` | `SH_Menu_SloppySubMenus` Whether popupmenu's must support sloppy submenu; as implemented on Mac OS.
`static QStyle.StyleHint` | `SH_Menu_SpaceActivatesItem` Pressing the space bar activates the item, as done on Motif.
`static QStyle.StyleHint` | `SH_Menu_SubMenuPopupDelay` The number of milliseconds to wait before opening a submenu (256 on Windows, 96 on Motif).
`static QStyle.StyleHint` | `SH_MenuBar_AltKeyNavigation` Menu bars items are navigable by pressing Alt, followed by using the arrow keys to select the desired item.
`static QStyle.StyleHint` | `SH_MenuBar_DismissOnSecondClick` A boolean indicating if a menu in the menu bar should be dismissed when it is clicked on a second time.
`static QStyle.StyleHint` | `SH_MenuBar_MouseTracking` Mouse tracking in menu bars.
`static QStyle.StyleHint` | `SH_MessageBox_CenterButtons` A boolean indicating whether the buttons in the message box should be centered or not (see QDialogButtonBox.:setCentered()).
`static QStyle.StyleHint` | `SH_MessageBox_TextInteractionFlags` A boolean indicating if the text in a message box should allow user interfactions (e.g.
`static QStyle.StyleHint` | `SH_MessageBox_UseBorderForButtonSpacing` A boolean indicating what the to use the border of the buttons (computed as half the button height) for the spacing of the button in a message box.
`static QStyle.StyleHint` | `SH_PrintDialog_RightAlignButtons` Right align buttons in the print dialog, as done on Windows.
`static QStyle.StyleHint` | `SH_ProgressDialog_CenterCancelButton` Center button on progress dialogs, like Motif, otherwise right aligned.
`static QStyle.StyleHint` | `SH_ProgressDialog_TextLabelAlignment` The alignment for text labels in progress dialogs; `Qt::AlignCenter` on Windows, `Qt::AlignVCenter` otherwise.
`static QStyle.StyleHint` | `SH_Q3ListViewExpand_SelectMouseType` Which type of mouse event should cause a list view expansion to be selected.
`static QStyle.StyleHint` | `SH_RichText_FullWidthSelection` Whether richtext selections should extend to the full width of the document.
`static QStyle.StyleHint` | `SH_RubberBand_Mask` The mask of the rubber band.
`static QStyle.StyleHint` | `SH_ScrollBar_ContextMenu` Whether or not a scroll bar has a context menu.
`static QStyle.StyleHint` | `SH_ScrollBar_LeftClickAbsolutePosition` A boolean value.
`static QStyle.StyleHint` | `SH_ScrollBar_MiddleClickAbsolutePosition` A boolean value.
`static QStyle.StyleHint` | `SH_ScrollBar_RollBetweenButtons` A boolean value.
`static QStyle.StyleHint` | `SH_ScrollBar_ScrollWhenPointerLeavesControl` A boolean value.
`static QStyle.StyleHint` | `SH_ScrollView_FrameOnlyAroundContents` Whether scrollviews draw their frame only around contents (like Motif), or around contents, scroll bars and corner widgets (like Windows).
`static QStyle.StyleHint` | `SH_Slider_AbsoluteSetButtons` Which mouse buttons cause a slider to set the value to the position clicked on.
`static QStyle.StyleHint` | `SH_Slider_PageSetButtons` Which mouse buttons cause a slider to page step the value.
`static QStyle.StyleHint` | `SH_Slider_SloppyKeyEvents` Key presses handled in a sloppy manner, i.e., left on a vertical slider subtracts a line.
`static QStyle.StyleHint` | `SH_Slider_SnapToValue` Sliders snap to values while moving, as they do on Windows.
`static QStyle.StyleHint` | `SH_Slider_StopMouseOverSlider` Stops auto-repeat when the slider reaches the mouse position.
`static QStyle.StyleHint` | `SH_SpellCheckUnderlineStyle` A `QTextCharFormat::UnderlineStyle` value that specifies the way misspelled words should be underlined.
`static QStyle.StyleHint` | `SH_SpinBox_AnimateButton` Animate a click when up or down is pressed in a spin box.
`static QStyle.StyleHint` | `SH_SpinBox_ClickAutoRepeatRate` Auto-repeat interval for spinbox mouse clicks.
`static QStyle.StyleHint` | `SH_SpinBox_ClickAutoRepeatThreshold` Auto-repeat threshold for spinbox mouse clicks.
`static QStyle.StyleHint` | `SH_SpinBox_KeyPressAutoRepeatRate` Auto-repeat interval for spinbox key presses.
`static QStyle.StyleHint` | `SH_SpinControls_DisableOnBounds` Determines if the spin controls will shown as disabled when reaching the spin range boundary.
`static QStyle.StyleHint` | `SH_TabBar_Alignment` The alignment for tabs in a `QTabWidget`.
`static QStyle.StyleHint` | `SH_TabBar_ElideMode` The default eliding style for a tab bar.
`static QStyle.StyleHint` | `SH_TabBar_PreferNoArrows` Whether a tab bar should suggest a size to prevent scoll arrows.
`static QStyle.StyleHint` | `SH_TabBar_SelectMouseType` Which type of mouse event should cause a tab to be selected.
`static QStyle.StyleHint` | `SH_Table_GridLineColor` The RGB value of the grid for a table.
`static QStyle.StyleHint` | `SH_TabWidget_DefaultTabPosition` Default position of the tab bar in a tab widget.
`static QStyle.StyleHint` | `SH_TextControl_FocusIndicatorTextCharFormat` Specifies the text format used to highlight focused anchors in rich text documents displayed for example in `QTextBrowser`.
`static QStyle.StyleHint` | `SH_TitleBar_AutoRaise` A boolean indicating whether controls on a title bar ought to update when the mouse is over them.
`static QStyle.StyleHint` | `SH_TitleBar_ModifyNotification` Indicates if the title bar should show a '*' for windows that are modified.
`static QStyle.StyleHint` | `SH_TitleBar_NoBorder` The title bar has no border.
`static QStyle.StyleHint` | `SH_ToolBar_Movable` Determines if the tool bar is movable by default.
`static QStyle.StyleHint` | `SH_ToolBox_SelectedPageTitleBold` Boldness of the selected page title in a `QToolBox`.
`static QStyle.StyleHint` | `SH_ToolButton_PopupDelay` An int indicating the popup delay in milliseconds for menus attached to tool buttons.
`static QStyle.StyleHint` | `SH_ToolTip_Mask` The mask of a tool tip.
`static QStyle.StyleHint` | `SH_ToolTipLabel_Opacity` An integer indicating the opacity for the tip label, 0 is completely transparent, 255 is completely opaque.
`static QStyle.StyleHint` | `SH_UnderlineShortcut` Whether shortcuts are underlined.
`static QStyle.StyleHint` | `SH_Widget_ShareActivation` Turn on sharing activation with floating modeless dialogs.
`static QStyle.StyleHint` | `SH_WindowFrame_Mask` The mask of the window frame.
`static QStyle.StyleHint` | `SH_WizardStyle` Controls the look and feel of a `QWizard`.
`static QStyle.StyleHint` | `SH_Workspace_FillSpaceOnMaximize` The workspace should maximize the client area.

Method Summary
`static QStyle.StyleHint` | `resolve(int value)` Returns the QStyle$StyleHint constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.StyleHint` | `valueOf(java.lang.String name)`
`static QStyle.StyleHint[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SH_EtchDisabledText

    public static final QStyle.StyleHint SH_EtchDisabledText

  Disabled text is "etched" as it is on Windows.

### SH_DitherDisabledText

    public static final QStyle.StyleHint SH_DitherDisabledText

  Disabled text is dithered as it is on Motif.

### SH_ScrollBar_MiddleClickAbsolutePosition

    public static final QStyle.StyleHint SH_ScrollBar_MiddleClickAbsolutePosition

  A boolean value. If true, middle clicking on a scroll bar causes the slider to jump to that position. If false, middle clicking is ignored.

### SH_ScrollBar_ScrollWhenPointerLeavesControl

    public static final QStyle.StyleHint SH_ScrollBar_ScrollWhenPointerLeavesControl

  A boolean value. If true, when clicking a scroll bar `SubControl` , holding the mouse button down and moving the pointer outside the `SubControl` , the scroll bar continues to scroll. If false, the scollbar stops scrolling when the pointer leaves the `SubControl` .

### SH_TabBar_SelectMouseType

    public static final QStyle.StyleHint SH_TabBar_SelectMouseType

  Which type of mouse event should cause a tab to be selected.

### SH_TabBar_Alignment

    public static final QStyle.StyleHint SH_TabBar_Alignment

  The alignment for tabs in a `QTabWidget`. Possible values are `Qt::AlignLeft` , `Qt::AlignCenter` and `Qt::AlignRight` .

### SH_Header_ArrowAlignment

    public static final QStyle.StyleHint SH_Header_ArrowAlignment

  The placement of the sorting indicator may appear in list or table headers. Possible values are `Qt::Left` or `Qt::Right` .

### SH_Slider_SnapToValue

    public static final QStyle.StyleHint SH_Slider_SnapToValue

  Sliders snap to values while moving, as they do on Windows.

### SH_Slider_SloppyKeyEvents

    public static final QStyle.StyleHint SH_Slider_SloppyKeyEvents

  Key presses handled in a sloppy manner, i.e., left on a vertical slider subtracts a line.

### SH_ProgressDialog_CenterCancelButton

    public static final QStyle.StyleHint SH_ProgressDialog_CenterCancelButton

  Center button on progress dialogs, like Motif, otherwise right aligned.

### SH_ProgressDialog_TextLabelAlignment

    public static final QStyle.StyleHint SH_ProgressDialog_TextLabelAlignment

  The alignment for text labels in progress dialogs; `Qt::AlignCenter` on Windows, `Qt::AlignVCenter` otherwise.

### SH_PrintDialog_RightAlignButtons

    public static final QStyle.StyleHint SH_PrintDialog_RightAlignButtons

  Right align buttons in the print dialog, as done on Windows.

### SH_MainWindow_SpaceBelowMenuBar

    public static final QStyle.StyleHint SH_MainWindow_SpaceBelowMenuBar

  One or two pixel space between the menu bar and the dockarea, as done on Windows.

### SH_FontDialog_SelectAssociatedText

    public static final QStyle.StyleHint SH_FontDialog_SelectAssociatedText

  Select the text in the line edit, or when selecting an item from the listbox, or when the line edit receives focus, as done on Windows.

### SH_Menu_AllowActiveAndDisabled

    public static final QStyle.StyleHint SH_Menu_AllowActiveAndDisabled

  Allows disabled menu items to be active.

### SH_Menu_SpaceActivatesItem

    public static final QStyle.StyleHint SH_Menu_SpaceActivatesItem

  Pressing the space bar activates the item, as done on Motif.

### SH_Menu_SubMenuPopupDelay

    public static final QStyle.StyleHint SH_Menu_SubMenuPopupDelay

  The number of milliseconds to wait before opening a submenu (256 on Windows, 96 on Motif).

### SH_ScrollView_FrameOnlyAroundContents

    public static final QStyle.StyleHint SH_ScrollView_FrameOnlyAroundContents

  Whether scrollviews draw their frame only around contents (like Motif), or around contents, scroll bars and corner widgets (like Windows).

### SH_MenuBar_AltKeyNavigation

    public static final QStyle.StyleHint SH_MenuBar_AltKeyNavigation

  Menu bars items are navigable by pressing Alt, followed by using the arrow keys to select the desired item.

### SH_ComboBox_ListMouseTracking

    public static final QStyle.StyleHint SH_ComboBox_ListMouseTracking

  Mouse tracking in combobox drop-down lists.

### SH_Menu_MouseTracking

    public static final QStyle.StyleHint SH_Menu_MouseTracking

  Mouse tracking in popup menus.

### SH_MenuBar_MouseTracking

    public static final QStyle.StyleHint SH_MenuBar_MouseTracking

  Mouse tracking in menu bars.

### SH_ItemView_ChangeHighlightOnFocus

    public static final QStyle.StyleHint SH_ItemView_ChangeHighlightOnFocus

  Gray out selected items when losing focus.

### SH_Widget_ShareActivation

    public static final QStyle.StyleHint SH_Widget_ShareActivation

  Turn on sharing activation with floating modeless dialogs.

### SH_Workspace_FillSpaceOnMaximize

    public static final QStyle.StyleHint SH_Workspace_FillSpaceOnMaximize

  The workspace should maximize the client area.

### SH_ComboBox_Popup

    public static final QStyle.StyleHint SH_ComboBox_Popup

  Allows popups as a combobox drop-down menu.

### SH_TitleBar_NoBorder

    public static final QStyle.StyleHint SH_TitleBar_NoBorder

  The title bar has no border.

### SH_Slider_StopMouseOverSlider

    public static final QStyle.StyleHint SH_Slider_StopMouseOverSlider

  Stops auto-repeat when the slider reaches the mouse position.

### SH_BlinkCursorWhenTextSelected

    public static final QStyle.StyleHint SH_BlinkCursorWhenTextSelected

  Whether cursor should blink when text is selected.

### SH_RichText_FullWidthSelection

    public static final QStyle.StyleHint SH_RichText_FullWidthSelection

  Whether richtext selections should extend to the full width of the document.

### SH_Menu_Scrollable

    public static final QStyle.StyleHint SH_Menu_Scrollable

  Whether popup menus must support scrolling.

### SH_GroupBox_TextLabelVerticalAlignment

    public static final QStyle.StyleHint SH_GroupBox_TextLabelVerticalAlignment

  How to vertically align a group box's text label.

### SH_GroupBox_TextLabelColor

    public static final QStyle.StyleHint SH_GroupBox_TextLabelColor

  How to paint a group box's text label.

### SH_Menu_SloppySubMenus

    public static final QStyle.StyleHint SH_Menu_SloppySubMenus

  Whether popupmenu's must support sloppy submenu; as implemented on Mac OS.

### SH_Table_GridLineColor

    public static final QStyle.StyleHint SH_Table_GridLineColor

  The RGB value of the grid for a table.

### SH_LineEdit_PasswordCharacter

    public static final QStyle.StyleHint SH_LineEdit_PasswordCharacter

  The Unicode character to be used for passwords.

### SH_DialogButtons_DefaultButton

    public static final QStyle.StyleHint SH_DialogButtons_DefaultButton

  Which button gets the default status in a dialog's button widget.

### SH_ToolBox_SelectedPageTitleBold

    public static final QStyle.StyleHint SH_ToolBox_SelectedPageTitleBold

  Boldness of the selected page title in a `QToolBox`.

### SH_TabBar_PreferNoArrows

    public static final QStyle.StyleHint SH_TabBar_PreferNoArrows

  Whether a tab bar should suggest a size to prevent scoll arrows.

### SH_ScrollBar_LeftClickAbsolutePosition

    public static final QStyle.StyleHint SH_ScrollBar_LeftClickAbsolutePosition

  A boolean value. If true, left clicking on a scroll bar causes the slider to jump to that position. If false, left clicking will behave as appropriate for each control.

### SH_Q3ListViewExpand_SelectMouseType

    public static final QStyle.StyleHint SH_Q3ListViewExpand_SelectMouseType

  Which type of mouse event should cause a list view expansion to be selected.

### SH_UnderlineShortcut

    public static final QStyle.StyleHint SH_UnderlineShortcut

  Whether shortcuts are underlined.

### SH_SpinBox_AnimateButton

    public static final QStyle.StyleHint SH_SpinBox_AnimateButton

  Animate a click when up or down is pressed in a spin box.

### SH_SpinBox_KeyPressAutoRepeatRate

    public static final QStyle.StyleHint SH_SpinBox_KeyPressAutoRepeatRate

  Auto-repeat interval for spinbox key presses.

### SH_SpinBox_ClickAutoRepeatRate

    public static final QStyle.StyleHint SH_SpinBox_ClickAutoRepeatRate

  Auto-repeat interval for spinbox mouse clicks.

### SH_Menu_FillScreenWithScroll

    public static final QStyle.StyleHint SH_Menu_FillScreenWithScroll

  Whether scrolling popups should fill the screen as they are scrolled.

### SH_ToolTipLabel_Opacity

    public static final QStyle.StyleHint SH_ToolTipLabel_Opacity

  An integer indicating the opacity for the tip label, 0 is completely transparent, 255 is completely opaque.

### SH_DrawMenuBarSeparator

    public static final QStyle.StyleHint SH_DrawMenuBarSeparator

  Indicates whether or not the menu bar draws separators.

### SH_TitleBar_ModifyNotification

    public static final QStyle.StyleHint SH_TitleBar_ModifyNotification

  Indicates if the title bar should show a '*' for windows that are modified.

### SH_Button_FocusPolicy

    public static final QStyle.StyleHint SH_Button_FocusPolicy

  The default focus policy for buttons.

### SH_MenuBar_DismissOnSecondClick

    public static final QStyle.StyleHint SH_MenuBar_DismissOnSecondClick

  A boolean indicating if a menu in the menu bar should be dismissed when it is clicked on a second time. (Example: Clicking and releasing on the File Menu in a menu bar and then immediately clicking on the File Menu again.)

### SH_MessageBox_UseBorderForButtonSpacing

    public static final QStyle.StyleHint SH_MessageBox_UseBorderForButtonSpacing

  A boolean indicating what the to use the border of the buttons (computed as half the button height) for the spacing of the button in a message box.

### SH_TitleBar_AutoRaise

    public static final QStyle.StyleHint SH_TitleBar_AutoRaise

  A boolean indicating whether controls on a title bar ought to update when the mouse is over them.

### SH_ToolButton_PopupDelay

    public static final QStyle.StyleHint SH_ToolButton_PopupDelay

  An int indicating the popup delay in milliseconds for menus attached to tool buttons.

### SH_FocusFrame_Mask

    public static final QStyle.StyleHint SH_FocusFrame_Mask

  The mask of the focus frame.

### SH_RubberBand_Mask

    public static final QStyle.StyleHint SH_RubberBand_Mask

  The mask of the rubber band.

### SH_WindowFrame_Mask

    public static final QStyle.StyleHint SH_WindowFrame_Mask

  The mask of the window frame.

### SH_SpinControls_DisableOnBounds

    public static final QStyle.StyleHint SH_SpinControls_DisableOnBounds

  Determines if the spin controls will shown as disabled when reaching the spin range boundary.

### SH_Dial_BackgroundRole

    public static final QStyle.StyleHint SH_Dial_BackgroundRole

  Defines the style's preferred background role (as `QPalette::ColorRole` ) for a dial widget.

### SH_ComboBox_LayoutDirection

    public static final QStyle.StyleHint SH_ComboBox_LayoutDirection

  The layout direction for the combo box. By default it should be the same as indicated by the QStyleOption::direction variable.

### SH_ItemView_EllipsisLocation

    public static final QStyle.StyleHint SH_ItemView_EllipsisLocation

  The location where ellipses should be added for item text that is too long to fit in an view item.

### SH_ItemView_ShowDecorationSelected

    public static final QStyle.StyleHint SH_ItemView_ShowDecorationSelected

  When an item in an item view is selected, also highlight the branch or other decoration.

### SH_ItemView_ActivateItemOnSingleClick

    public static final QStyle.StyleHint SH_ItemView_ActivateItemOnSingleClick

  Emit the activated signal when the user single clicks on an item in an item in an item view. Otherwise the signal is emitted when the user double clicks on an item.

### SH_ScrollBar_ContextMenu

    public static final QStyle.StyleHint SH_ScrollBar_ContextMenu

  Whether or not a scroll bar has a context menu.

### SH_ScrollBar_RollBetweenButtons

    public static final QStyle.StyleHint SH_ScrollBar_RollBetweenButtons

  A boolean value. If true, when clicking a scroll bar button (`SC_ScrollBarAddLine` or `SC_ScrollBarSubLine` ) and dragging over to the opposite button (rolling) will press the new button and release the old one. When it is false, the original button is released and nothing happens (like a push button).

### SH_Slider_AbsoluteSetButtons

    public static final QStyle.StyleHint SH_Slider_AbsoluteSetButtons

  Which mouse buttons cause a slider to set the value to the position clicked on.

### SH_Slider_PageSetButtons

    public static final QStyle.StyleHint SH_Slider_PageSetButtons

  Which mouse buttons cause a slider to page step the value.

### SH_Menu_KeyboardSearch

    public static final QStyle.StyleHint SH_Menu_KeyboardSearch

  Typing causes a menu to be search for relevant items, otherwise only mnemnonic is considered.

### SH_TabBar_ElideMode

    public static final QStyle.StyleHint SH_TabBar_ElideMode

  The default eliding style for a tab bar.

### SH_DialogButtonLayout

    public static final QStyle.StyleHint SH_DialogButtonLayout

  Controls how buttons are laid out in a `QDialogButtonBox`, returns a `QDialogButtonBox::ButtonLayout` enum.

### SH_ComboBox_PopupFrameStyle

    public static final QStyle.StyleHint SH_ComboBox_PopupFrameStyle

  The frame style used when drawing a combobox popup menu.

### SH_MessageBox_TextInteractionFlags

    public static final QStyle.StyleHint SH_MessageBox_TextInteractionFlags

  A boolean indicating if the text in a message box should allow user interfactions (e.g. selection) or not.

### SH_DialogButtonBox_ButtonsHaveIcons

    public static final QStyle.StyleHint SH_DialogButtonBox_ButtonsHaveIcons

  Indicates whether or not StandardButtons in `QDialogButtonBox` should have icons or not.

### SH_SpellCheckUnderlineStyle

    public static final QStyle.StyleHint SH_SpellCheckUnderlineStyle

  A `QTextCharFormat::UnderlineStyle` value that specifies the way misspelled words should be underlined.

### SH_MessageBox_CenterButtons

    public static final QStyle.StyleHint SH_MessageBox_CenterButtons

  A boolean indicating whether the buttons in the message box should be centered or not (see QDialogButtonBox.:setCentered()).

### SH_Menu_SelectionWrap

    public static final QStyle.StyleHint SH_Menu_SelectionWrap

  Whether popups should allow the selections to wrap, that is when selection should the next item be the first item.

### SH_ItemView_MovementWithoutUpdatingSelection

    public static final QStyle.StyleHint SH_ItemView_MovementWithoutUpdatingSelection

  The item view is able to indicate a current item without changing the selection.

### SH_ToolTip_Mask

    public static final QStyle.StyleHint SH_ToolTip_Mask

  The mask of a tool tip.

### SH_FocusFrame_AboveWidget

    public static final QStyle.StyleHint SH_FocusFrame_AboveWidget

  The FocusFrame is stacked above the widget that it is "focusing on".

### SH_TextControl_FocusIndicatorTextCharFormat

    public static final QStyle.StyleHint SH_TextControl_FocusIndicatorTextCharFormat

  Specifies the text format used to highlight focused anchors in rich text documents displayed for example in `QTextBrowser`. The format has to be a `QTextCharFormat` returned in the variant of the `QStyleHintReturnVariant` return value. The `QTextFormat::OutlinePen` property is used for the outline and `QTextFormat::BackgroundBrush` for the background of the highlighted area.

### SH_WizardStyle

    public static final QStyle.StyleHint SH_WizardStyle

  Controls the look and feel of a `QWizard`. Returns a `QWizard::WizardStyle` enum.

### SH_ItemView_ArrowKeysNavigateIntoChildren

    public static final QStyle.StyleHint SH_ItemView_ArrowKeysNavigateIntoChildren

  Controls whether the tree view will select the first child when it is exapanded and the right arrow key is pressed.

### SH_Menu_Mask

    public static final QStyle.StyleHint SH_Menu_Mask

  The mask for a popup menu.

### SH_Menu_FlashTriggeredItem

    public static final QStyle.StyleHint SH_Menu_FlashTriggeredItem

  Flash triggered item.

### SH_Menu_FadeOutOnHide

    public static final QStyle.StyleHint SH_Menu_FadeOutOnHide

  Fade out the menu instead of hiding it immediately.

### SH_SpinBox_ClickAutoRepeatThreshold

    public static final QStyle.StyleHint SH_SpinBox_ClickAutoRepeatThreshold

  Auto-repeat threshold for spinbox mouse clicks.

### SH_ItemView_PaintAlternatingRowColorsForEmptyArea

    public static final QStyle.StyleHint SH_ItemView_PaintAlternatingRowColorsForEmptyArea

  Whether `QTreeView` paints alternating row colors for the area that does not have any items.

### SH_FormLayoutWrapPolicy

    public static final QStyle.StyleHint SH_FormLayoutWrapPolicy

  Provides a default for how rows are wrapped in a `QFormLayout`. Returns a `QFormLayout::RowWrapPolicy` enum.

### SH_TabWidget_DefaultTabPosition

    public static final QStyle.StyleHint SH_TabWidget_DefaultTabPosition

  Default position of the tab bar in a tab widget.

### SH_ToolBar_Movable

    public static final QStyle.StyleHint SH_ToolBar_Movable

  Determines if the tool bar is movable by default.

### SH_FormLayoutFieldGrowthPolicy

    public static final QStyle.StyleHint SH_FormLayoutFieldGrowthPolicy

  Provides a default for how fields can grow in a `QFormLayout`. Returns a `QFormLayout::FieldGrowthPolicy` enum.

### SH_FormLayoutFormAlignment

    public static final QStyle.StyleHint SH_FormLayoutFormAlignment

  Provides a default for how a `QFormLayout` aligns its contents within the available space. Returns a Qt::Alignment enum.

### SH_FormLayoutLabelAlignment

    public static final QStyle.StyleHint SH_FormLayoutLabelAlignment

  Provides a default for how a `QFormLayout` aligns labels within the available space. Returns a Qt::Alignment enum.

### SH_CustomBase

    public static final QStyle.StyleHint SH_CustomBase

  Base value for custom style hints. Custom values must be greater than this value.

### CustomEnum

    public static final QStyle.StyleHint CustomEnum

Method Detail

### values

    public static QStyle.StyleHint[] values()

### valueOf

    public static QStyle.StyleHint valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.StyleHint resolve(int value)

  Returns the QStyle$StyleHint constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD